webserver:
  hostname: "PEERTUBE_WEBSERVER_HOSTNAME"
  port:
    __name: "PEERTUBE_WEBSERVER_PORT"
    __format: "json"
  https:
    __name: "PEERTUBE_WEBSERVER_HTTPS"
    __format: "json"

trust_proxy:
  __name: "PEERTUBE_TRUST_PROXY"
  __format: "json"

corporate_proxy:
  https_proxy: "PEERTUBE_HTTP_PROXY"
  http_proxy: "PEERTUBE_HTTPS_PROXY"
  
database:
  hostname: "PEERTUBE_DB_HOSTNAME"
  port:
    __name: "PEERTUBE_DB_PORT"
    __format: "json"
  suffix: "PEERTUBE_DB_SUFFIX"
  username: "PEERTUBE_DB_USERNAME"
  password: "PEERTUBE_DB_PASSWORD"
  ssl:
    __name: "PEERTUBE_DB_SSL"
    __format: "json"

redis:
  hostname: "PEERTUBE_REDIS_HOSTNAME"
  port:
    __name: "PEERTUBE_REDIS_PORT"
    __format: "json"
  auth: "PEERTUBE_REDIS_AUTH"

smtp:
  hostname: "PEERTUBE_SMTP_HOSTNAME"
  port:
    __name: "PEERTUBE_SMTP_PORT"
    __format: "json"
  username: "PEERTUBE_SMTP_USERNAME"
  password: "PEERTUBE_SMTP_PASSWORD"
  tls:
    __name: "PEERTUBE_SMTP_TLS"
    __format: "json"
  disable_starttls:
    __name: "PEERTUBE_SMTP_DISABLE_STARTTLS"
    __format: "json"
  from_address: "PEERTUBE_SMTP_FROM"

log:
  level: "PEERTUBE_LOG_LEVEL"
  log_ping_requests:
    __name: "PEERTUBE_LOG_PING_REQUESTS"
    __format: "json"

user:
  video_quota:
    __name: "PEERTUBE_USER_VIDEO_QUOTA"
    __format: "json"

admin:
  email: "PEERTUBE_ADMIN_EMAIL"

contact_form:
  enabled:
    __name: "PEERTUBE_CONTACT_FORM_ENABLED"
    __format: "json"

signup:
  enabled:
    __name: "PEERTUBE_SIGNUP_ENABLED"
    __format: "json"
  limit:
    __name: "PEERTUBE_SIGNUP_LIMIT"
    __format: "json"

search:
  remote_uri:
    users:
      __name: "PEERTUBE_SEARCH_REMOTEURI_USERS"
      __format: "json"
    anonymous:
      __name: "PEERTUBE_SEARCH_REMOTEURI_ANONYMOUS"
      __format: "json"

import:
  videos:
    http:
      enabled:
        __name: "PEERTUBE_IMPORT_VIDEOS_HTTP"
        __format: "json"
    torrent:
      enabled:
        __name: "PEERTUBE_IMPORT_VIDEOS_TORRENT"
        __format: "json"

transcoding:
  enabled:
    __name: "PEERTUBE_TRANSCODING_ENABLED"
    __format: "json"
  threads:
    __name: "PEERTUBE_TRANSCODING_THREADS"
    __format: "json"
  resolutions:
    240p:
      __name: "PEERTUBE_TRANSCODING_240P"
      __format: "json"
    360p:
      __name: "PEERTUBE_TRANSCODING_360P"
      __format: "json"
    480p:
      __name: "PEERTUBE_TRANSCODING_480P"
      __format: "json"
    720p:
      __name: "PEERTUBE_TRANSCODING_720P"
      __format: "json"
    1080p:
      __name: "PEERTUBE_TRANSCODING_1080P"
      __format: "json"
    1440p:
      __name: "PEERTUBE_TRANSCODING_1440P"
      __format: "json"
    2160p:
      __name: "PEERTUBE_TRANSCODING_2160P"
      __format: "json"
  webtorrent:
    enabled:
      __name: "PEERTUBE_TRANSCODING_WEBTORRENT_ENABLED"
      __format: "json"
  hls:
    enabled:
      __name: "PEERTUBE_TRANSCODING_HLS_ENABLED"
      __format: "json"

instance:
  name: "PEERTUBE_INSTANCE_NAME"
  description: "PEERTUBE_INSTANCE_DESCRIPTION"
  terms: "PEERTUBE_INSTANCE_TERMS"
